/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define LED_Heartbeat_Pin GPIO_PIN_13
#define LED_Heartbeat_GPIO_Port GPIOC
#define LED_Error_Pin GPIO_PIN_14
#define LED_Error_GPIO_Port GPIOC
#define LED_Operation_Pin GPIO_PIN_15
#define LED_Operation_GPIO_Port GPIOC
#define Frontend_In_Pin GPIO_PIN_1
#define Frontend_In_GPIO_Port GPIOA
#define Debug_TX_Pin GPIO_PIN_10
#define Debug_TX_GPIO_Port GPIOC
#define Debug_RX_Pin GPIO_PIN_11
#define Debug_RX_GPIO_Port GPIOC
#define Meterbus_Tx_Pin GPIO_PIN_12
#define Meterbus_Tx_GPIO_Port GPIOC
#define Meterbus_RX_Pin GPIO_PIN_2
#define Meterbus_RX_GPIO_Port GPIOD
#define Frontend_Out_Pin GPIO_PIN_3
#define Frontend_Out_GPIO_Port GPIOD
#define Loop_Disable_Pin GPIO_PIN_6
#define Loop_Disable_GPIO_Port GPIOD
#define Loop_Enable_Pin GPIO_PIN_7
#define Loop_Enable_GPIO_Port GPIOD
#define Loop_Status_Pin GPIO_PIN_3
#define Loop_Status_GPIO_Port GPIOB
#define Loop_Status_EXTI_IRQn EXTI3_IRQn
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
